import { r as registerInstance, h, H as Host } from './index-acdc1ac0.js';

const dvnFieldDisplayCellBooleanCss = ".sc-dvn-field-display-cell-boolean-h{display:block;padding:6px}";

const DvnFieldDisplayCellBoolean = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.meta = {};
  }
  render() {
    const { field } = this;
    let value = this.value || false;
    return (h(Host, null, h("dvn-checkbox", { id: field.id, disabled: true, leaned: true, value: field.id, checked: value })));
  }
};
DvnFieldDisplayCellBoolean.style = dvnFieldDisplayCellBooleanCss;

export { DvnFieldDisplayCellBoolean as dvn_field_display_cell_boolean };
